View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
currency_codestring<currency_code>Optionaltotal_amount_rangeobject<amount_range>Optionallower_amountobject<money>Requiredcurrency_codestring<currency_code>RequiredvaluestringRequiredupper_amountobject<money>Requiredcurrency_codestring<currency_code>RequiredvaluestringRequiredinvoice_date_rangeobject<date_range>Optionalstartstring<date_no_time>Requiredendstring<date_no_time>Requireddue_date_rangeobject<date_range>Optionalstartstring<date_no_time>Requiredendstring<date_no_time>Requiredpayment_date_rangeobject<date_time_range>Optionalstartstring<date_time>RequiredNote: The regular expression provides guidance but does not reject all invalid dates.
endstring<date_time>RequiredNote: The regular expression provides guidance but does not reject all invalid dates.
creation_date_rangeobject<date_time_range>Optionalstartstring<date_time>RequiredNote: The regular expression provides guidance but does not reject all invalid dates.
endstring<date_time>RequiredNote: The regular expression provides guidance but does not reject all invalid dates.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/invoicing/search-invoices?page=1&page_size=1&total_required=true" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "Content-Type: application/json" \ -d '{ "total_amount_range": { "lower_amount": { "currency_code": "USD", "value": "50.00" }, "upper_amount": { "currency_code": "USD", "value": "50.00" } }, "invoice_date_range": { "start": "2018-06-01", "end": "2018-06-21" } }'{ "total_items": 6, "total_pages": 1, "items": [ { "id": "INV2-Z56S-5LLA-Q52L-CPZ5", "status": "DRAFT", "detail": { "invoice_number": "#123", "reference": "deal-ref", "invoice_date": "2018-11-12", "currency_code": "USD", "note": "Thank you for your business.", "term": "No refunds after 30 days.", "memo": "This is a long contract", "payment_term": { "term_type": "NET_10", "due_date": "2018-11-22" }, "metadata": { "create_time": "2018-11-12T08:00:20Z", "recipient_view_url": "https://www.api-m.paypal.com/invoice/p#Z56S5LLAQ52LCPZ5", "invoicer_view_url": "https://www.api-m.paypal.com/invoice/details/INV2-Z56S-5LLA-Q52L-CPZ5" } }, "invoicer": { "email_address": "merchant@example.com" }, "primary_recipients": [ { "billing_info": { "email_address": "bill-me@example.com" } } ], "amount": { "currency_code": "USD", "value": "74.21" }, "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5", "rel": "self", "method": "GET" } ] } ], "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/invoices?page=2&page_size=10&total_required=true", "rel": "next", "method": "POST" } ]}